Bug 13408 - Tell librarians they may continue scanning while checkouts table is loading
Summary: Tell librarians they may continue scanning while checkouts table is loading
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11703
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-08 13:50 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13408 - Tell librarians they may continue scanning while checkouts table is loading (2.71 KB, patch)
2014-12-08 13:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
[Signed-off] Bug 13408 - Tell librarians they may continue scanning while checkouts table is loading (2.91 KB, patch)
2014-12-08 14:41 UTC, Marc Véron
Details | Diff | Splinter Review
[ALT] Bug 13408: Tell librarians they may continue scanning while checkouts table is loading (2.00 KB, patch)
2014-12-08 16:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13408: Tell librarians they may continue scanning while checkouts table is loading (2.12 KB, patch)
2014-12-09 14:41 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 13408: Tell librarians they may continue scanning while checkouts table is loading (2.15 KB, patch)
2015-01-02 16:33 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-12-08 13:50:37 UTC
Some librarians do not realize they can continue scanning items even if the checkouts table has not loaded. We should have Koha tell them explicitly that they may continue scanning barcodes.
Comment 1 Kyle M Hall 2014-12-08 13:53:08 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-12-08 14:41:28 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-12-08 16:40:01 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2014-12-08 16:40:40 UTC
Comment on attachment 34186 [details] [review]
[ALT] Bug 13408: Tell librarians they may continue scanning while checkouts table is loading

Kyle, why not just overwrite the existing variable?
Comment 5 Owen Leonard 2014-12-09 14:41:26 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2014-12-10 10:12:40 UTC
Kyle, is there a chance to get or signoff on this patch?
Comment 7 Jonathan Druart 2014-12-10 10:17:09 UTC
your*
Comment 8 Kyle M Hall 2015-01-02 16:33:45 UTC
Created attachment 34911 [details] [review]
[PASSED QA] Bug 13408: Tell librarians they may continue scanning while checkouts table is loading

Some librarians do not realize they can continue scanning items even if
the checkouts table has not loaded. We should have Koha tell them
explicitly that they may continue scanning barcodes.

Test Plan:
1) Apply this patch
2) Load the checkouts table on circulation.pl, note the loading message is now
   Loading... you may continue scanning.
3) Load the checkouts table on moremember.pl, note the loading message is still
   Loading...

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

This one works too!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Tomás Cohen Arazi 2015-01-14 15:46:21 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 10 Chris Cormack 2015-01-18 02:21:44 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 11 Mason James 2015-01-22 05:43:58 UTC
Pushed to 3.16.x, patch will be in 3.16.7
Comment 12 Agnes Rivers-Moore 2015-08-11 18:50:27 UTC
We find the pop-up message that appears every time a barcode is scanned is distracting and hard on the eyes for staff at a busy checkout.
Would prefer the option in system preferences to turn it off.
I expect after staff have seen it a few times they may permanently get the message and it would not be needed any more.
Also staff find checkout significantly slower from 3.14 to 3.20 - this may not be the only factor, but I would prefer to be able to turn off any features that might affect response time of system and of staff.
Comment 13 Chris Cormack 2015-08-11 20:29:29 UTC
(In reply to Agnes Rivers-Moore from comment #12)
> We find the pop-up message that appears every time a barcode is scanned is
> distracting and hard on the eyes for staff at a busy checkout.
> Would prefer the option in system preferences to turn it off.
> I expect after staff have seen it a few times they may permanently get the
> message and it would not be needed any more.
> Also staff find checkout significantly slower from 3.14 to 3.20 - this may
> not be the only factor, but I would prefer to be able to turn off any
> features that might affect response time of system and of staff.

Hi Agnes

Once a bug is pushed, the best thing to do is to open a new bug, and link to this one. Or your comment will be missed. (This is marked pushed to stable, so it wont be showing up on anyone's lists to check)

Hope this make sense. I do agree, the ajax circ stuff is slower, unless you have a borrower with a large amount of existing checkouts. I think there may be some bugs around the speed issue already.